package cn.fw.morax.domain.vo.eval;

import cn.fw.morax.domain.enums.EvalTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * <p>
 * 考评组
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class EvalVO {

    /**
     * 考评id
     */
    private Long id;

    /**
     * 考评，活动名称
     */
    private String name;

    /**
     * 考评类型; 1:活动考评 2:其他考评
     */
    private EvalTypeEnum type;

    /**
     * 考评组
     */
    private List<EvalGroupVO> evalGroups;


}
